Browse Source

Implement: Fuel install OVS with NSH/DPDK

Todo lists:
1. update dependencies.txt after RPM/debian packages are uploaded to official site

Closes-Bug:#1507877
Change-Id: Ie41e37d4387a0c03c9610a36b1f7009850564bf4
Signed-off-by: lingyu1 <ling.y.yu@intel.com>
tags/10.0-eol
lingyu1 3 years ago
parent
commit
373740ac0a

+ 202
- 0
LICENSE View File

@@ -0,0 +1,202 @@
1
+Apache License
2
+                           Version 2.0, January 2004
3
+                        http://www.apache.org/licenses/
4
+
5
+   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
6
+
7
+   1. Definitions.
8
+
9
+      "License" shall mean the terms and conditions for use, reproduction,
10
+      and distribution as defined by Sections 1 through 9 of this document.
11
+
12
+      "Licensor" shall mean the copyright owner or entity authorized by
13
+      the copyright owner that is granting the License.
14
+
15
+      "Legal Entity" shall mean the union of the acting entity and all
16
+      other entities that control, are controlled by, or are under common
17
+      control with that entity. For the purposes of this definition,
18
+      "control" means (i) the power, direct or indirect, to cause the
19
+      direction or management of such entity, whether by contract or
20
+      otherwise, or (ii) ownership of fifty percent (50%) or more of the
21
+      outstanding shares, or (iii) beneficial ownership of such entity.
22
+
23
+      "You" (or "Your") shall mean an individual or Legal Entity
24
+      exercising permissions granted by this License.
25
+
26
+      "Source" form shall mean the preferred form for making modifications,
27
+      including but not limited to software source code, documentation
28
+      source, and configuration files.
29
+
30
+      "Object" form shall mean any form resulting from mechanical
31
+      transformation or translation of a Source form, including but
32
+      not limited to compiled object code, generated documentation,
33
+      and conversions to other media types.
34
+
35
+      "Work" shall mean the work of authorship, whether in Source or
36
+      Object form, made available under the License, as indicated by a
37
+      copyright notice that is included in or attached to the work
38
+      (an example is provided in the Appendix below).
39
+
40
+      "Derivative Works" shall mean any work, whether in Source or Object
41
+      form, that is based on (or derived from) the Work and for which the
42
+      editorial revisions, annotations, elaborations, or other modifications
43
+      represent, as a whole, an original work of authorship. For the purposes
44
+      of this License, Derivative Works shall not include works that remain
45
+      separable from, or merely link (or bind by name) to the interfaces of,
46
+      the Work and Derivative Works thereof.
47
+
48
+      "Contribution" shall mean any work of authorship, including
49
+      the original version of the Work and any modifications or additions
50
+      to that Work or Derivative Works thereof, that is intentionally
51
+      submitted to Licensor for inclusion in the Work by the copyright owner
52
+      or by an individual or Legal Entity authorized to submit on behalf of
53
+      the copyright owner. For the purposes of this definition, "submitted"
54
+      means any form of electronic, verbal, or written communication sent
55
+      to the Licensor or its representatives, including but not limited to
56
+      communication on electronic mailing lists, source code control systems,
57
+      and issue tracking systems that are managed by, or on behalf of, the
58
+      Licensor for the purpose of discussing and improving the Work, but
59
+      excluding communication that is conspicuously marked or otherwise
60
+      designated in writing by the copyright owner as "Not a Contribution."
61
+
62
+      "Contributor" shall mean Licensor and any individual or Legal Entity
63
+      on behalf of whom a Contribution has been received by Licensor and
64
+      subsequently incorporated within the Work.
65
+
66
+   2. Grant of Copyright License. Subject to the terms and conditions of
67
+      this License, each Contributor hereby grants to You a perpetual,
68
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
69
+      copyright license to reproduce, prepare Derivative Works of,
70
+      publicly display, publicly perform, sublicense, and distribute the
71
+      Work and such Derivative Works in Source or Object form.
72
+
73
+   3. Grant of Patent License. Subject to the terms and conditions of
74
+      this License, each Contributor hereby grants to You a perpetual,
75
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
76
+      (except as stated in this section) patent license to make, have made,
77
+      use, offer to sell, sell, import, and otherwise transfer the Work,
78
+      where such license applies only to those patent claims licensable
79
+      by such Contributor that are necessarily infringed by their
80
+      Contribution(s) alone or by combination of their Contribution(s)
81
+      with the Work to which such Contribution(s) was submitted. If You
82
+      institute patent litigation against any entity (including a
83
+      cross-claim or counterclaim in a lawsuit) alleging that the Work
84
+      or a Contribution incorporated within the Work constitutes direct
85
+      or contributory patent infringement, then any patent licenses
86
+      granted to You under this License for that Work shall terminate
87
+      as of the date such litigation is filed.
88
+
89
+   4. Redistribution. You may reproduce and distribute copies of the
90
+      Work or Derivative Works thereof in any medium, with or without
91
+      modifications, and in Source or Object form, provided that You
92
+      meet the following conditions:
93
+
94
+      (a) You must give any other recipients of the Work or
95
+          Derivative Works a copy of this License; and
96
+
97
+      (b) You must cause any modified files to carry prominent notices
98
+          stating that You changed the files; and
99
+
100
+      (c) You must retain, in the Source form of any Derivative Works
101
+          that You distribute, all copyright, patent, trademark, and
102
+          attribution notices from the Source form of the Work,
103
+          excluding those notices that do not pertain to any part of
104
+          the Derivative Works; and
105
+
106
+      (d) If the Work includes a "NOTICE" text file as part of its
107
+          distribution, then any Derivative Works that You distribute must
108
+          include a readable copy of the attribution notices contained
109
+          within such NOTICE file, excluding those notices that do not
110
+          pertain to any part of the Derivative Works, in at least one
111
+          of the following places: within a NOTICE text file distributed
112
+          as part of the Derivative Works; within the Source form or
113
+          documentation, if provided along with the Derivative Works; or,
114
+          within a display generated by the Derivative Works, if and
115
+          wherever such third-party notices normally appear. The contents
116
+          of the NOTICE file are for informational purposes only and
117
+          do not modify the License. You may add Your own attribution
118
+          notices within Derivative Works that You distribute, alongside
119
+          or as an addendum to the NOTICE text from the Work, provided
120
+          that such additional attribution notices cannot be construed
121
+          as modifying the License.
122
+
123
+      You may add Your own copyright statement to Your modifications and
124
+      may provide additional or different license terms and conditions
125
+      for use, reproduction, or distribution of Your modifications, or
126
+      for any such Derivative Works as a whole, provided Your use,
127
+      reproduction, and distribution of the Work otherwise complies with
128
+      the conditions stated in this License.
129
+
130
+   5. Submission of Contributions. Unless You explicitly state otherwise,
131
+      any Contribution intentionally submitted for inclusion in the Work
132
+      by You to the Licensor shall be under the terms and conditions of
133
+      this License, without any additional terms or conditions.
134
+      Notwithstanding the above, nothing herein shall supersede or modify
135
+      the terms of any separate license agreement you may have executed
136
+      with Licensor regarding such Contributions.
137
+
138
+   6. Trademarks. This License does not grant permission to use the trade
139
+      names, trademarks, service marks, or product names of the Licensor,
140
+      except as required for reasonable and customary use in describing the
141
+      origin of the Work and reproducing the content of the NOTICE file.
142
+
143
+   7. Disclaimer of Warranty. Unless required by applicable law or
144
+      agreed to in writing, Licensor provides the Work (and each
145
+      Contributor provides its Contributions) on an "AS IS" BASIS,
146
+      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
147
+      implied, including, without limitation, any warranties or conditions
148
+      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
149
+      PARTICULAR PURPOSE. You are solely responsible for determining the
150
+      appropriateness of using or redistributing the Work and assume any
151
+      risks associated with Your exercise of permissions under this License.
152
+
153
+   8. Limitation of Liability. In no event and under no legal theory,
154
+      whether in tort (including negligence), contract, or otherwise,
155
+      unless required by applicable law (such as deliberate and grossly
156
+      negligent acts) or agreed to in writing, shall any Contributor be
157
+      liable to You for damages, including any direct, indirect, special,
158
+      incidental, or consequential damages of any character arising as a
159
+      result of this License or out of the use or inability to use the
160
+      Work (including but not limited to damages for loss of goodwill,
161
+      work stoppage, computer failure or malfunction, or any and all
162
+      other commercial damages or losses), even if such Contributor
163
+      has been advised of the possibility of such damages.
164
+
165
+   9. Accepting Warranty or Additional Liability. While redistributing
166
+      the Work or Derivative Works thereof, You may choose to offer,
167
+      and charge a fee for, acceptance of support, warranty, indemnity,
168
+      or other liability obligations and/or rights consistent with this
169
+      License. However, in accepting such obligations, You may act only
170
+      on Your own behalf and on Your sole responsibility, not on behalf
171
+      of any other Contributor, and only if You agree to indemnify,
172
+      defend, and hold each Contributor harmless for any liability
173
+      incurred by, or claims asserted against, such Contributor by reason
174
+      of your accepting any such warranty or additional liability.
175
+
176
+   END OF TERMS AND CONDITIONS
177
+
178
+   APPENDIX: How to apply the Apache License to your work.
179
+
180
+      To apply the Apache License to your work, attach the following
181
+      boilerplate notice, with the fields enclosed by brackets "{}"
182
+      replaced with your own identifying information. (Don't include
183
+      the brackets!)  The text should be enclosed in the appropriate
184
+      comment syntax for the file format. We also recommend that a
185
+      file or class name and description of purpose be included on the
186
+      same "printed page" as the copyright notice for easier
187
+      identification within third-party archives.
188
+
189
+   Copyright {yyyy} {name of copyright owner}
190
+
191
+   Licensed under the Apache License, Version 2.0 (the "License");
192
+   you may not use this file except in compliance with the License.
193
+   You may obtain a copy of the License at
194
+
195
+       http://www.apache.org/licenses/LICENSE-2.0
196
+
197
+   Unless required by applicable law or agreed to in writing, software
198
+   distributed under the License is distributed on an "AS IS" BASIS,
199
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
200
+   See the License for the specific language governing permissions and
201
+   limitations under the License.
202
+

+ 142
- 0
README.md View File

@@ -0,0 +1,142 @@
1
+Openvswitch Plugin for Fuel
2
+================================
3
+
4
+Openvswitch plugin
5
+-----------------------
6
+
7
+Overview
8
+--------
9
+
10
+New fuel plugin fuel-plugin-ovs is developed to deploy OVS with NSH + DPDK in Fuel@OPNFV, which is requested by ODL project
11
+
12
+Requirements
13
+------------
14
+
15
+| Requirement                      | Version/Comment |
16
+|----------------------------------|-----------------|
17
+| Mirantis OpenStack compatibility | 6.1             |
18
+
19
+Recommendations
20
+---------------
21
+
22
+None.
23
+
24
+Limitations
25
+-----------
26
+
27
+None.
28
+
29
+Installation Guide
30
+==================
31
+
32
+Openvswitch plugin installation
33
+----------------------------------------
34
+
35
+1. Clone the fuel-plugin-ovs repo from stackforge:
36
+
37
+        git clone https://github.com/openstack/fuel-plugin-ovs
38
+
39
+2. Install the Fuel Plugin Builder:
40
+
41
+        pip install fuel-plugin-builder
42
+
43
+3. Build Openvswitch Fuel plugin:
44
+
45
+        fpb --build fuel-plugin-ovs/
46
+
47
+4. The *fuel-plugin-ovs-[x.x.x].rpm* plugin package will be created in the plugin folder.
48
+
49
+5. Move this file to the Fuel Master node with secure copy (scp):
50
+
51
+        scp fuel-plugin-ovs-[x.x.x].rpm root@<the_Fuel_Master_node_IP address>:/tmp
52
+
53
+6. While logged in Fuel Master install the Openvswitch plugin:
54
+
55
+        fuel plugins --install fuel-plugin-ovs-[x.x.x].rpm
56
+
57
+7. Check if the plugin was installed successfully:
58
+
59
+        fuel plugins
60
+
61
+        id | name            | version | package_version
62
+        ---|-----------------|---------|----------------
63
+        1  | fuel-plugin-ovs | 0.5.0   | 2.0.0
64
+
65
+8. Plugin is ready to use and can be enabled on the Settings tab of the Fuel web UI.
66
+
67
+
68
+User Guide
69
+==========
70
+
71
+Openvswitch plugin configuration
72
+---------------------------------------------
73
+
74
+1. Create a new environment with the Fuel UI wizard.
75
+2. Click on the Settings tab of the Fuel web UI.
76
+3. Scroll down the page, select the plugin checkbox.
77
+
78
+
79
+Build options
80
+-------------
81
+
82
+It is possible to modify process of building plugin by setting environment variables. Look into [pre_build_hook file](pre_build_hook) for more details.
83
+
84
+Dependencies
85
+------------
86
+
87
+If you plan to use plugin in environment without internet access or/and CentOS environment modify build command:
88
+
89
+     INCLUDE_DEPENDENCIES=true fpb --build fuel-plugin-ovs/
90
+
91
+Pre build script will try download required dependencies so it become part of the compiled plugin.
92
+
93
+Note: List of packages for [ubuntu](ovs_package/ubuntu/dependencies.txt) and [centos](ovs_package/centos/dependencies.txt) may need to be modified if packages in centos or ubuntu repositories will change.
94
+
95
+Testing
96
+-------
97
+
98
+None.
99
+
100
+Known issues
101
+------------
102
+
103
+None.
104
+
105
+Release Notes
106
+-------------
107
+
108
+**0.5.0**
109
+
110
+* Initial release of the plugin. This is a beta version.
111
+
112
+
113
+Development
114
+===========
115
+
116
+The *OpenStack Development Mailing List* is the preferred way to communicate,
117
+emails should be sent to `openstack-dev@lists.openstack.org` with the subject
118
+prefixed by `[fuel][plugins][ovs]`.
119
+
120
+Reporting Bugs
121
+--------------
122
+
123
+Bugs should be filled on the [Launchpad fuel-plugins project](
124
+https://bugs.launchpad.net/fuel-plugins) (not GitHub) with the tag `ovs`.
125
+
126
+
127
+Contributing
128
+------------
129
+
130
+If you would like to contribute to the development of this Fuel plugin you must
131
+follow the [OpenStack development workflow](
132
+http://docs.openstack.org/infra/manual/developers.html#development-workflow).
133
+
134
+Patch reviews take place on the [OpenStack gerrit](
135
+https://review.openstack.org/#/q/status:open+project:stackforge/fuel-plugin-ovs,n,z)
136
+system.
137
+
138
+Contributors
139
+------------
140
+
141
+* ling.y.yu@intel.com,ruijing.guo@intel.com
142
+

+ 40
- 0
deployment_scripts/puppet/manifests/ovs-install-compute.pp View File

@@ -0,0 +1,40 @@
1
+$fuel_settings = parseyaml(file('/etc/compute.yaml'))
2
+$ovs_version = "2.4.90-1"
3
+if $operatingsystem == 'Ubuntu' {
4
+        package { 'openvswitch-datapath-dkms':
5
+                ensure => "${ovs_version}",
6
+        }
7
+        package { 'openvswitch-common':
8
+                ensure => "${ovs_version}",
9
+        }
10
+        package { 'openvswitch-switch':
11
+                ensure => "${ovs_version}",
12
+                require => Package['openvswitch-common','openvswitch-datapath-dkms'],
13
+        }
14
+} elsif $operatingsystem == 'CentOS' {
15
+        if $fuel_settings['fuel-plugin-ovs']['use_dpdk'] {
16
+                package { 'openvswitch':
17
+                        ensure => "2.4.90-1.el6",
18
+                }
19
+                package { 'kmod-openvswitch':
20
+                        ensure => "2.4.90-2.el6",
21
+                }
22
+                package { 'dpdk':
23
+                        ensure => "2.1.0-6.el6",
24
+                }
25
+                package { 'dpdk-tools':
26
+                        ensure => "2.1.0-6.el6",
27
+                }
28
+                package { 'dpdk-devel':
29
+                        ensure => "2.1.0-6.el6",
30
+                }
31
+
32
+        } else {
33
+                package { 'openvswitch':
34
+                        ensure =>"2.4.90-1",
35
+                }
36
+                package { 'kmod-openvswitch':
37
+                        ensure => "2.4.90-1.el6",
38
+                }
39
+        }
40
+}

+ 39
- 0
deployment_scripts/puppet/manifests/ovs-install-controller.pp View File

@@ -0,0 +1,39 @@
1
+$fuel_settings = parseyaml(file('/etc/controller.yaml'))
2
+$ovs_version = "2.4.90-1"
3
+if $operatingsystem == 'Ubuntu' {
4
+        package { 'openvswitch-datapath-dkms':
5
+                ensure => "${ovs_version}",
6
+        }
7
+        package { 'openvswitch-common':
8
+                ensure => "${ovs_version}",
9
+        }
10
+        package { 'openvswitch-switch':
11
+                ensure => "${ovs_version}",
12
+                require => Package['openvswitch-common','openvswitch-datapath-dkms'],
13
+        }
14
+} elsif $operatingsystem == 'CentOS' {
15
+        if $fuel_settings['fuel-plugin-ovs']['use_dpdk'] {
16
+                package { 'openvswitch':
17
+                        ensure => "2.4.90-1.el6",
18
+                }
19
+                package { 'kmod-openvswitch':
20
+                        ensure => "2.4.90-2.el6",
21
+                }
22
+                package { 'dpdk':
23
+                        ensure => "2.1.0-6.el6",
24
+                }
25
+                package { 'dpdk-tools':
26
+                        ensure => "2.1.0-6.el6",
27
+                }
28
+                package { 'dpdk-devel':
29
+                        ensure => "2.1.0-6.el6",
30
+                }
31
+        } else {
32
+                package { 'openvswitch':
33
+                        ensure => "2.4.90-1",
34
+                }
35
+                package { 'kmod-openvswitch':
36
+                        ensure => "2.4.90-1.el6",
37
+                }
38
+        }
39
+}

+ 39
- 0
deployment_scripts/puppet/manifests/ovs-install-primary-controller.pp View File

@@ -0,0 +1,39 @@
1
+$fuel_settings = parseyaml(file('/etc/primary-controller.yaml'))
2
+$ovs_version = "2.4.90-1"
3
+if $operatingsystem == 'Ubuntu' {
4
+        package { 'openvswitch-datapath-dkms':
5
+                ensure => "${ovs_version}",
6
+        }
7
+        package { 'openvswitch-common':
8
+                ensure => "${ovs_version}",
9
+        }
10
+        package { 'openvswitch-switch':
11
+                ensure => "${ovs_version}",
12
+                require => Package['openvswitch-common','openvswitch-datapath-dkms'],
13
+        }
14
+} elsif $operatingsystem == 'CentOS' {
15
+        if $fuel_settings['fuel-plugin-ovs']['use_dpdk'] {
16
+                package { 'openvswitch':
17
+                        ensure => "2.4.90-1.el6",
18
+                }
19
+                package { 'kmod-openvswitch':
20
+                        ensure => "2.4.90-2.el6",
21
+                }
22
+                package { 'dpdk':
23
+                        ensure => "2.1.0-6.el6",
24
+                }
25
+                package { 'dpdk-tools':
26
+                        ensure => "2.1.0-6.el6",
27
+                }
28
+                package { 'dpdk-devel':
29
+                        ensure => "2.1.0-6.el6",
30
+                }
31
+        } else {
32
+                package { 'openvswitch':
33
+                        ensure => "2.4.90-1",
34
+                }
35
+                package { 'kmod-openvswitch':
36
+                        ensure => "2.4.90-1.el6",
37
+                }
38
+        }
39
+}

+ 6
- 0
environment_config.yaml View File

@@ -0,0 +1,6 @@
1
+attributes:
2
+    use_dpdk:
3
+      type: "checkbox"
4
+      weight: 20
5
+      value: false
6
+      label: "Use dpdk"

+ 35
- 0
metadata.yaml View File

@@ -0,0 +1,35 @@
1
+# Plugin name
2
+name: fuel-plugin-ovs
3
+# Human-readable name for your plugin
4
+title: Openvswitch with NSH support
5
+# Plugin version
6
+version: '0.5.0'
7
+# Description
8
+description: 'This plugin provides to deploy openvswitch with nsh'
9
+# Required fuel version
10
+fuel_version: ['6.1']
11
+# Specify license of your plugin
12
+licenses: ['Apache License Version 2.0']
13
+# Specify author or company name
14
+authors: ['ling.y.yu@intel.com','ruijing.guo@intel.com']
15
+# A link to the plugin's page
16
+homepage: 'https://github.com/openstack/fuel-plugin-ovs'
17
+# Specify a group which your plugin implements, possible options:
18
+# network, storage, storage::cinder, storage::glance, hypervisor
19
+groups: ['network']
20
+
21
+# The plugin is compatible with releases in the list
22
+releases:
23
+  - os: ubuntu
24
+    version: 2014.2-6.1
25
+    mode: ['ha', 'multinode']
26
+    deployment_scripts_path: deployment_scripts/
27
+    repository_path: repositories/ubuntu
28
+  - os: centos
29
+    version: 2014.2-6.1
30
+    mode: ['ha', 'multinode']
31
+    deployment_scripts_path: deployment_scripts/
32
+    repository_path: repositories/centos
33
+
34
+# Version of plugin package
35
+package_version: '2.0.0'

+ 8
- 0
ovs_package/centos/dependencies.txt View File

@@ -0,0 +1,8 @@
1
+https://github.com/lingyu1/fuel-rpm/blob/master/centos/6.5/x86_64/Packages/dpdk-2.1.0-6.el6.x86_64.rpm?raw=true
2
+https://github.com/lingyu1/fuel-rpm/blob/master/centos/6.5/x86_64/Packages/dpdk-devel-2.1.0-6.el6.x86_64.rpm?raw=true
3
+https://github.com/lingyu1/fuel-rpm/blob/master/centos/6.5/x86_64/Packages/dpdk-tools-2.1.0-6.el6.x86_64.rpm?raw=true
4
+https://github.com/lingyu1/fuel-rpm/blob/master/centos/6.5/x86_64/Packages/kmod-openvswitch-2.4.90-1.el6.x86_64.rpm?raw=true
5
+https://github.com/lingyu1/fuel-rpm/blob/master/centos/6.5/x86_64/Packages/kmod-openvswitch-2.4.90-2.el6.x86_64.rpm?raw=true
6
+https://github.com/lingyu1/fuel-rpm/blob/master/centos/6.5/x86_64/Packages/openvswitch-2.4.90-1.el6.x86_64.rpm?raw=true
7
+https://github.com/lingyu1/fuel-rpm/blob/master/centos/6.5/x86_64/Packages/openvswitch-2.4.90-1.x86_64.rpm?raw=true
8
+

+ 3
- 0
ovs_package/ubuntu/dependencies.txt View File

@@ -0,0 +1,3 @@
1
+https://github.com/lingyu1/fuel-rpm/blob/master/ubuntu/14.04.1/x86_64/Packages/openvswitch-common_2.4.90-1_amd64.deb?raw=true
2
+https://github.com/lingyu1/fuel-rpm/blob/master/ubuntu/14.04.1/x86_64/Packages/openvswitch-datapath-dkms_2.4.90-1_all.deb?raw=true
3
+https://github.com/lingyu1/fuel-rpm/blob/master/ubuntu/14.04.1/x86_64/Packages/openvswitch-switch_2.4.90-1_amd64.deb?raw=true

+ 41
- 0
pre_build_hook View File

@@ -0,0 +1,41 @@
1
+#!/bin/bash
2
+
3
+# Add here any the actions which are required before plugin build
4
+# like packages building, packages downloading from mirrors and so on.
5
+# The script should return 0 if there were no errors.
6
+set -eux
7
+
8
+BUILD_FOR=${BUILD_FOR:-centos ubuntu}
9
+DIR="$(dirname `readlink -f $0`)"
10
+
11
+INCLUDE_DEPENDENCIES=${INCLUDE_DEPENDENCIES:-true}
12
+
13
+function download_dependencies {
14
+  if [ "$INCLUDE_DEPENDENCIES" = true ]
15
+  then
16
+    wget --content-disposition -N -i  "${DIR}/ovs_package/${1}/dependencies.txt"
17
+  fi
18
+}
19
+
20
+
21
+function build_pkg {
22
+  case $1 in
23
+    centos)
24
+      pushd "${DIR}/repositories/${1}/"
25
+      download_dependencies ${1}
26
+      popd
27
+      ;;
28
+    ubuntu)
29
+      pushd "${DIR}/repositories/${1}/"
30
+      download_dependencies ${1}
31
+      popd
32
+      ;;
33
+    *) echo "Not supported system"; exit 1;;
34
+  esac
35
+}
36
+
37
+
38
+for system in $BUILD_FOR
39
+do
40
+  build_pkg $system
41
+done

+ 0
- 0
repositories/centos/.gitkeep View File


+ 0
- 0
repositories/ubuntu/.gitkeep View File


+ 24
- 0
tasks.yaml View File

@@ -0,0 +1,24 @@
1
+- id: ovs_install_primary_controller
2
+  role: ['primary-controller']
3
+  stage: pre_deployment
4
+  type: puppet
5
+  parameters:
6
+    puppet_manifest: puppet/manifests/ovs-install-primary-controller.pp
7
+    puppet_modules: puppet/modules:/etc/puppet/modules
8
+    timeout: 720
9
+- id: ovs_install_controller
10
+  role: ['controller']
11
+  stage: pre_deployment
12
+  type: puppet
13
+  parameters:
14
+    puppet_manifest: puppet/manifests/ovs-install-controller.pp
15
+    puppet_modules: puppet/modules:/etc/puppet/modules
16
+    timeout: 720
17
+- id: ovs_install_compute
18
+  role: ['compute']
19
+  stage: pre_deployment
20
+  type: puppet
21
+  parameters:
22
+    puppet_manifest: puppet/manifests/ovs-install-compute.pp
23
+    puppet_modules: puppet/modules:/etc/puppet/modules
24
+    timeout: 720

Loading…
Cancel
Save